curl -X GET https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id} \
-H "Authorization: Bearer <access_token>" \
{
"data": {
"type": "CustomerData",
"id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Team",
"dimension_id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
"definition_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
"created_at": "2024-02-27T02:16:40.389772Z",
"updated_at": "2024-02-27T02:16:40.389772Z",
"deleted_at": null,
"archived_at": null
}
]
}
}
Customers
Get a customer
Get an existing customer within Layer.
GET
/
v1
/
businesses
/
{business_id}
/
customers
/
{customer_id}
curl -X GET https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id} \
-H "Authorization: Bearer <access_token>" \
{
"data": {
"type": "CustomerData",
"id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Team",
"dimension_id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
"definition_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
"created_at": "2024-02-27T02:16:40.389772Z",
"updated_at": "2024-02-27T02:16:40.389772Z",
"deleted_at": null,
"archived_at": null
}
]
}
}
Fetch a single specific customer by ID.
Path Parameters
ID of the Business the customer is associated with.
ID of the Customer to be updated. This is the Layer id, not the external id.
Response
Returns the created Customer objectcurl -X GET https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id} \
-H "Authorization: Bearer <access_token>" \
{
"data": {
"type": "CustomerData",
"id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Team",
"dimension_id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
"definition_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
"created_at": "2024-02-27T02:16:40.389772Z",
"updated_at": "2024-02-27T02:16:40.389772Z",
"deleted_at": null,
"archived_at": null
}
]
}
}